using System.Collections;

int n;
int m;
int i;

string nmStr = Console.ReadLine();
string[] nmStrNiz = new string[2];
nmStrNiz = nmStr.Split(' ');
int[] nmBrojevi = new int[2];
for(i = 0; i < 2; i++)
{
    nmBrojevi[i] = int.Parse(nmStrNiz[i]);
}

n = nmBrojevi[0];
m = nmBrojevi[1];
//Console.WriteLine("N =");

int j = 0;

int[,] tezine = new int[n, 2];

for(i = 0; i < n; i++)
{
    string tezStr = Console.ReadLine();
    string[] tezStrNiz = new string[2];
    tezStrNiz = tezStr.Split(' ');
    for(j = 0; j < 2; j++)
    {
        tezine[i, j] = int.Parse(tezStrNiz[j]);
    }
}

int[,] pitanja = new int[m, 3];

for (i = 0; i < m; i++)
{
    string pitanjeStr = Console.ReadLine();
    string[] pitanjeStrNiz = new string[2];
    pitanjeStrNiz = pitanjeStr.Split(' ');
    for (j = 0; j < 3; j++)
    {
        pitanja[i, j] = int.Parse(pitanjeStrNiz[j]);
    }
}

int br;

for(i = 0; i < m; i++)
{

    br = 0;

    for(j = pitanja[i, 0]; j <= pitanja[i, 1]; j++)
    {
        if (tezine[j-1, 0] <= pitanja[i, 2] && tezine[j - 1, 1] >= pitanja[i, 2]) br++;
    }
    Console.WriteLine(br);
}